(function($) {
/*
 * Custom behavior
 */
Drupal.behaviors.ocioFieldBasesAccordion = {
  attach: function(context, settings) {

    function addIndex() {
      $('.ui-accordion-header').attr('tabIndex', '0');
    }

    $('.field .ui-accordion, .views-field .ui-accordion').accordion({
      header: "> .accordion-item > .ui-accordion-header",
      collapsible: true,
      active: false,
      animate: true,
      autoHeight: false,
      heightStyle: "content",
      create: addIndex,
      activate: addIndex,
    });

    $.ui.accordion.prototype._keydown = function(e){
      if (e.altKey || e.ctrlKey) {
        return;
      }

      var keyCode = $.ui.keyCode;

      switch (e.keyCode) {
        case keyCode.SPACE:
        case keyCode.ENTER:
          this._eventHandler(e);
          break;
      }
    }
  }
};

Drupal.behaviors.ocioFieldBasesTabs = {
  attach: function(context, settings) {
    $('.field .ui-tabs, .views-field .ui-tabs').tabs();
  }
};

})(jQuery);
